package
{
	import flash.display.DisplayObject;
	import flash.display.MovieClip;
	import flash.display.StageAlign;
	import flash.display.StageScaleMode;
	import flash.events.Event;
	import flash.events.IOErrorEvent;
	
	import starling.core.Starling;

	[SWF(frameRate = "60", backgroundColor = "#0473b2")]
	public class Main extends MovieClip
	{

		//----------------------------------------------------------
		//
		//   Constructor 
		//
		//----------------------------------------------------------

		public function Main()
		{
			stage.align = StageAlign.TOP_LEFT;
			stage.scaleMode = StageScaleMode.NO_SCALE;
			loaderInfo.addEventListener(IOErrorEvent.IO_ERROR, trace);

			var star:Starling = new Starling(StarlingPart, stage);
			star.enableErrorChecking = false;
			star.start();

			addChild(new FrocessingPart())

			logo = new LogoImage();
			addChild(logo);
			stage.addEventListener(Event.RESIZE, resizeHandler);
			resizeHandler(null);
		}

		//----------------------------------------------------------
		//
		//   Property 
		//
		//----------------------------------------------------------

		[Embed(source = "assets/logo.png")]
		private var LogoImage:Class;
		private var logo:DisplayObject;

		//----------------------------------------------------------
		//
		//   Function 
		//
		//----------------------------------------------------------

		private function resizeHandler(event:Event):void
		{
			logo.y = stage.stageHeight - logo.height;
		}
	}
}

